import { ActivityService } from './activity.service';
import { PaginatedActivityDto } from './dto/activity-response.dto';
import { PaginationDto } from '../../common/dto/pagination.dto';
import { AuthenticatedUser } from '../auth/strategies/jwt.strategy';
export declare class ActivityController {
    private readonly activityService;
    constructor(activityService: ActivityService);
    getGlobalFeed(user: AuthenticatedUser, query: PaginationDto): Promise<PaginatedActivityDto>;
    getGroupFeed(groupId: string, query: PaginationDto): Promise<PaginatedActivityDto>;
}
